
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>从&quot;汉诺塔&quot;经典递归到JS递归函数 / 憋错料</title>

    <meta name="description" content="从&quot;汉诺塔&quot;经典递归到JS递归函数 前言 参考&lt;JavaScript语言精粹&gt; 递归是一种强大的编程技术,他把一个问题分解为一组相似的子问题,每一问题都用一个寻常解去解决.递归函数就是会直接或者间接调用自身的一种函数,一般来说,一个递归函数调用自身去解决它的子问题. &quot;汉诺塔&quot;经典递归问题 &quot;汉诺塔&quot;是印度的一个古老传说,也是程序设计中的经典的递归问题,是一个著名的益智游戏: 题目如下: 塔上有三根柱子和一套直径各不相同的空心圆盘,开始时源柱子上的所有圆盘都按从大到小的顺序排列. ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">从&quot;汉诺塔&quot;经典递归到JS递归函数</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>前言</h1>
<p>参考《JavaScript语言精粹》</p>
<p>递归是一种强大的编程技术，他把一个问题分解为一组相似的子问题，每一问题都用一个寻常解去解决。递归函数就是会直接或者间接调用自身的一种函数，一般来说，一个递归函数调用自身去解决它的子问题。</p>
<h1>"汉诺塔"经典递归问题</h1>
<p>"汉诺塔"是印度的一个古老传说，也是程序设计中的经典的递归问题，是一个著名的益智游戏：</p>
<p>　　题目如下：</p>
<p>　　　　塔上有三根柱子和一套直径各不相同的空心圆盘，开始时源柱子上的所有圆盘都按从大到小的顺序排列。目标是通过每一次移动一个圆盘到另一根柱子上，最终把一堆圆盘移动到目标柱子上，过程中不允许把较大的圆盘放置在较小的圆盘上；</p>
<p>　　　　<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzExNDA2MDIvMjAxNzA4LzExNDA2MDItMjAxNzA4MjYxNjEwNDEzMzktMTA0NDg4Njg0MS5wbmc=.jpg" /></p>
<h2>寻找规律（把所有的圆盘移动到C）：</h2>
<p>　　1）n(圆盘个数) == 1</p>
<p>　　　　第一次：1号盘 &nbsp;A -&gt; C &nbsp; &nbsp; &nbsp;sum(移动次数) = 1</p>
<p>　　2）n == 2</p>
<p>　　　　第一次：1号盘 A -&gt; B</p>
<p>　　　　第二次：2号盘 A -&gt; C</p>
<p>　　　　第三次：1号盘 B -&gt; C　　sum = 3</p>
<p>　　3）n == 3</p>
<p>　　　　第一次：1号盘 A -&gt; C</p>
<p>　　　　第二次：2号盘 A -&gt; B</p>
<p>　　　　第三次：1号盘 C -&gt; B</p>
<p>　　　　第四次：3号盘 A -&gt; C</p>
<p>　　　　第五次：1号盘 B -&gt; A</p>
<p>　　　　第六次：2号盘 B -&gt; C</p>
<p>　　　　第七次：1号盘 A -&gt; C　　sum = 7</p>
<p>　　　</p>
<p>　　故不难发现规律,移动次数为：sum = 2^n - 1　</p>
<h2>算法分析（递归）：</h2>
<p>　　把一堆圆盘从一个柱子移动另一根柱子，必要时使用辅助的柱子。可以把它分为三个子问题：</p>
<p>　　　　首先，移动一对圆盘中较小的圆盘到辅助柱子上，从而露出下面较大的圆盘，</p>
<p>　　　　其次，移动下面的圆盘到目标柱子上</p>
<p>　　　　最后，将刚才较小的圆盘从辅助柱子上在移动到目标柱子上</p>
<p>　　 把三个步骤转化为简单数学问题：</p>
<p>　　　　（1） &nbsp; &nbsp; 把 n-1个盘子由A 移到 B；</p>
<p>　　　　（2）&nbsp;&nbsp;&nbsp;&nbsp; 把&nbsp;第&nbsp;n个盘子由 A移到 C；</p>
<p>　　　　（3）&nbsp;&nbsp;&nbsp;&nbsp; 把n-1个盘子由B 移到 C；</p>
<p>　　我们创建一个JS函数，当它调用自身的时候，它去处理当前正在处理圆盘之上的圆盘。最后它回一个不存在圆盘去调用，在这种情况下，它不在执行任何操作。</p>
<h1>JavaScript源代码实现</h1>

<pre>var hanoi = function(disc,src,aux,dst){

    if(disc&gt;0){

        hanoi(disc-1,src,dst,aux);

        console.log(‘ 移动 ‘+ disc +  ‘ 号圆盘 ‘ + ‘ 从 ‘ + src +  ‘ 移动到 ‘ +  dst);

        hanoi(disc-1,aux,src,dst)

    }

}

hanoi(3,‘A‘,‘B‘,‘C‘)</pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzExNDA2MDIvMjAxNzA4LzExNDA2MDItMjAxNzA4MjYxODU2NDA1MjctMTU5MDk0MDIzLnBuZw==.jpg" /></p>
<p>整个算法的思路是：</p>
<ol>
<li>将A柱子上的n-1个盘子暂时移到B柱子上</li>
<li>A柱子只剩下最大的盘子，把它移到目标柱子C上</li>
<li>最后再将B柱子上的n-1</li>
</ol>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzExNDA2MDIvMjAxNzA4LzExNDA2MDItMjAxNzA4MjYxNzQxMjkxODMtMTE4ODEyNDQyMC5naWY=.jpg" /></p>
<h1>JS递归函数遍历Dom</h1>
<p>　　递归函数可以非常高效的操作D树形结构，在JavaScript有一种"天然的树形结构"浏览器端的文档对象模型（Dom）。每次递归调用时处理指定树的一小段。</p>
<pre>/*      我们定义一个walk_the_DOM函数，
  1） 它从某个指定的节点开始，按指定HTML源码的顺序，访问树的每个节点
   2）它会调用一个函数，并依次传递每个节点给它，walk_the_DOM调用自身去处理每一个节点
*/
var walk_the_DOM = function walk( node , func ) {

    func(node);

    node = node.firstChild;

    while (node) {

        walk( node , func );

        node = node.nextSibling;

     }    

}

/*    在定义一个getElementByAttribute函数
1） 它以一个属性名称字符串和一个可选的匹配值作为参数
2） 它调用walk_the_DOM，传递一个用来查找节点属性名的函数作为参数，匹配得节点都会累加到一个数组中
*/
              var getElementsByAttribute=function(att,value){
                var results=[];

                walk_the_DOM(document.body,function(node){

                    var actual=node.nodeType===1&amp;&amp;node.getAttribute(att);

                    if(typeof actual===‘string‘ &amp;&amp;( actual===value|| typeof value!==‘string‘)){

                        results.push(node);

                    }
                });
                return results;
            }</pre>

<h1>命名函数表达式和递归</h1>
<h2>递归问题</h2>
<p>求阶乘的函数：</p>
<pre>function factorial(num){
    if(num&lt;=1){
        return 1;
    }else{
        return num*factorial(num-1);
    }
}</pre>
<p>通过将函数factorial设置为null，使原始函数的引用只剩一个, 此时factorial已不再是函数</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzExNDA2MDIvMjAxNzA4LzExNDA2MDItMjAxNzA4MjYxOTM2MjAwMjctODA2OTg0NjA0LnBuZw==.jpg" /></p>
<h2>arguments.callee实现递归</h2>
<p>arguments.callee是一个指向正在执行的函数的指针，因此可以用它来实现对函数的递归调用</p>
<pre>function factorial(num){
    if(num&lt;=1){
        return 1;
    }else{
        return num*arguments.callee(num-1);
    }
}
var anotherFactorial=factorial;
factorial=null;
anotherFactorial(3) //6</pre>
<p>用arguments.callee代替函数名，可以确保无论怎样调用函数都不会出问题。因此，在编写递归函数时，使用arguments.callee总比使用函数名更保险。</p>
<p>但是在严格模式下，不能通过脚本访问arguments.callee，访问这个属性会报错</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzExNDA2MDIvMjAxNzA4LzExNDA2MDItMjAxNzA4MjYxOTQyMDA4NTUtMTE1MTc5NzQucG5n.jpg" /></p>
<h2>命名函数表达式实现递归</h2>
<p>创建一个名为f()的命名函数表达式，然后赋值给factorial，即使把函数赋值给了另一个变量，函数的名字f仍然有效，所以递归调用照样能正常完成。</p>
<p>这种方式在严格模式和非严格模式都可行。</p>
<pre>var factorial =function f(num){
    ‘use strict‘
    if(num&lt;=1){
        return 1;
    }else{
        return num* f (num-1);
    }
}

factorial(3)    //6
var anotherFactorial=factorial;
factorial=null;
anotherFactorial(3)      //6</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 13:08:43 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/margin/" title="margin">margin</a>, <a href="https://www.biecuoliao.com/tag/es2017/" title="es2017">es2017</a>, <a href="https://www.biecuoliao.com/tag/%e7%9b%b4%e6%8e%a5/" title="直接">直接</a>, <a href="https://www.biecuoliao.com/tag/function/" title="function">function</a>, <a href="https://www.biecuoliao.com/tag/ring/" title="ring">ring</a>, <a href="https://www.biecuoliao.com/tag/16px/" title="16px">16px</a>, <a href="https://www.biecuoliao.com/tag/%e5%ad%97%e7%ac%a6/" title="字符">字符</a>, <a href="https://www.biecuoliao.com/tag/actual/" title="actual">actual</a>, <a href="https://www.biecuoliao.com/tag/%e6%95%b0%e5%ad%a6%e9%97%ae%e9%a2%98/" title="数学问题">数学问题</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>从&quot;汉诺塔&quot;经典递归到JS递归函数的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jyYegM.html" rel="bookmark">汉诺塔问题递归算法分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				汉诺塔问题递归算法分析: 一个庙里有三个柱子,第一个有64个盘子,从上往下盘子越来越大.要求庙里的老和尚把这64个盘子全部移动到第三个柱子上.移动的时候始终只能小盘子压着大盘子.而且每次只能移动一个. 1.此时老和尚(后面我们叫他第一个和尚)觉得很难,所以他想:要是有一个人能把前63个盘子先移动到第二个柱子上,我再把最后一个盘子直接移动到第三个柱子,再让那个人把刚才的前63个盘子从第二个柱子上移动到第三个柱子上,我的任务就完成了,简单.所以他找了比他年轻的和尚(后面我们叫他第二个和尚),命令:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDyO9k0.html" rel="bookmark">【C&sol;C&plus;&plus;学院】0817-递归汉诺塔 双层递归 &sol;CPP结构体 &sol;面向过程与面向对象的编程模式&sol;类的常识共用体实现一个类的特征&sol;QT应用于类以及类的常识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				递归汉诺塔 双层递归 #include &lt;iostream&gt; void han(int n, char A, char B, char C) { static int num = 1; std::cout &lt;&lt; &quot;第&quot; &lt;&lt; num &lt;&lt; &quot;次&quot;; num++; if (n&lt;1) { return; } else { han(n - 1, A, C, B); std::cout &lt;&lt; A &lt;&l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/416pXGM.html" rel="bookmark">用C语言实现汉诺塔自动递归演示程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用C语言实现汉诺塔自动递归演示程序 程序实现效果 1.变界面大小依照输入递归数改变. 2.汉诺塔自动移动演示. 3.采用gotoxy实现流畅刷新. 4.保留文字显示递归流程 程序展示及实现 github地址:https://github.com/404name/C-game 0.主体思路 输入要递归的汉诺塔数目,在原来的汉诺塔基础上新增move_play函数展示递归,用next数组存储每种移动状态.对应的从哪到哪可自动对应相应的移动方式自动移动. 1.变界面大小依照输入递归数改变 init函数按			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MD8alpM.html" rel="bookmark">函数递归&mdash;&mdash;汉诺塔经典题型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				理解汉诺塔游戏规则,有A,B,C座塔,将A塔上的圆盘移动到C塔上,当A塔只有一块圆盘时,直接移动到C塔,当A塔有N个圆盘时,需要将N-1个圆盘移动到B塔,然后将剩下的最底下圆盘移动到C.大盘不能压住小盘 汉诺塔游戏主要考虑到最底下圆盘的调用,每次的移动都假设到最底下圆盘. 其实到目前我还是不太明白 def move(n, x, y, z): if n==1: print (x,'--&gt;',z) return move(n-1,x,z,y)#将前n-1个盘子从x移动到y上 move(1,x,y,z			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWwpbbM.html" rel="bookmark">HDU 2064 汉诺塔III&lpar;递归&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接 Problem Description 约19世纪末,在欧州的商店中出售一种智力玩具,在一块铜板上有三根杆,最左边的杆上自上而下.由小到大顺序串着由64个圆盘构成的塔.目的是将最左边杆上的盘全部移到右边的杆上,条件是一次只能移动一个盘,且不允许大盘放在小盘的上面.现在我们改变游戏的玩法,不允许直接从最左(右)边移到最右(左)边(每次移动一定是移到中间杆或从中间移出),也不允许大盘放到下盘的上面.Daisy已经做过原来的汉诺塔问题和汉诺塔II,但碰到这个问题时,她想了很久都不能解决,现在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02DvWz4.html" rel="bookmark">汉诺塔之递归学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				汉诺塔问题: 问题描述引自:http://www.cnblogs.com/antineutrino/p/3334540.html 汉诺塔问题是一个经典的问题.汉诺塔(Hanoi Tower),又称河内塔,源于印度一个古老传说.大梵天创造世界的时候做了三根金刚石柱子,在一根柱子上从下往上按照大小顺序摞着64片黄金圆盘.大梵天命令婆罗门把圆盘从下面开始按大小顺序重新摆放在另一根柱子上.并且规定,任何时候,在小圆盘上都不能放大圆盘,且在三根柱子之间一次只能移动一个圆盘. 思维导图: 程序代码: 1 #			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgZOKn4.html" rel="bookmark">Hanio汉诺塔代码递归实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.背景介绍 Hanio (汉诺塔,又称河内塔)问题是源于印度一个古老传说的益智玩具.大梵天创造世界的时候做了三根金刚石柱子,在一根柱子上从下往上按照大小顺序摞着64片黄金圆盘.大梵天命令婆罗门把圆盘从下面开始按大小顺序重新摆放在另一根柱子上.并且规定,在小圆盘上不能放大圆盘,在三根柱子之间一次只能移动一个圆盘. 我们姑且不去追溯传说的缘由,现考虑一下把64片金片,由一根针上移到另一根针上,并且始终保持上小下大的顺序.这需要多少次移动呢?这里需要递归的方法.假设有n片,移动次数是f(n).显然f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzXoeJ3.html" rel="bookmark">&lbrack;算法&rsqb;&mdash;&mdash;汉诺塔的递归深度</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天早晨在上班的路上,一好朋友突然提到之前的一个计算机的考题,汉诺塔(相信大家都玩过)的递归深度. 由于很久没有看算法,以及脑容量有限,当时没有多想. 来到公司后,把公式列了一下,终于清晰多了. 下面假设3根柱子编号为1,2,3. 主要思路: 把n个圆盘从3号移到1号 = 把n-1个圆盘从3号移到2号 + 把第n个圆盘从3号移到1号 + n-1个圆盘从2号移到1号 列出公式: f(n) = f(n-1) + 1 + f(n-1) = 2f(n-1) + 1 计算公式: 接下来就是数学题了, 利用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kPJvL3.html" rel="bookmark">【Python实践-3】汉诺塔问题递归求解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 # -*- coding: utf-8 -*- 2 #汉诺塔移动问题 3 # 定义move(n,a,b,c)函数,接受参数n,表示3个柱子A.B.C中第1个柱子A的盘子数量 4 # 然后打印出把所有盘子从A借助B移动到C的方法 5 def move(n,a,b,c): 6 if n==1: 7 print('move', a, '--&gt;', c) 8 else: 9 move(n-1,a,c,b) 10 move(1,a,b,c) 11 move(n-1,b,a,c) 12 move(5,'			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/BMzP8W3.html" rel="bookmark" class="title">HDU1166线段树（单点更新，区间求和）</a>
					<div>
						敌兵布阵 Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others)Total Submis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41gB9G0.html" rel="bookmark" class="title">斐波那契数列&lpar;迭代&rpar;</a>
					<div>
						今天听朋友说了这个数列,试着写写,挺有意思的 斐波那契数列(Fibonacci sequence),又称黄金分割数列.因数学家列昂纳多·斐波那契(Leonardoda Fibonacci)以兔子繁殖为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nEXvVM.html" rel="bookmark" class="title">从研发到生产的容器化</a>
					<div>
						Coding-Job:从研发到生产的容器化融合实践 大家好,我是来自 CODING 的全栈开发工程师,我有幸在 CODING 参与了 Coding-Job 这个容器化的编排平台的研发.大家对 CODI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmlVLD4.html" rel="bookmark" class="title">Max-heap &amp;amp&semi;&amp;amp&semi; Min-heap &amp;amp&semi;&amp;amp&semi; push&lowbar;heap</a>
					<div>
						最大堆:make_heap(vi.begin(),vi.end()) #include &lt;iostream&gt; #include &lt;vector&gt; #include &lt;al ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nEaOXM.html" rel="bookmark" class="title">在Javascript操作JSON对象，增加 删除 修改</a>
					<div>
						&lt;script type=&quot;text/javascript&quot;&gt; var jsonObj2 = { teacher: [ { name: &quot;jordan&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyjzeE0.html" rel="bookmark" class="title">sudo gem install cocoapods 没反应问题</a>
					<div>
						1. 尝试更新 sudo gem update --system 2. 查看安装详细 sudo gem install cocoapods -V 3.详细使用有个链接 http://blog.csdn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YYvky0.html" rel="bookmark" class="title">Codeforces Round &num;259 &lpar;Div&period; 2&rpar; （序列）</a>
					<div>
						题目链接:http://codeforces.com/contest/454/problem/B B. Little Pony and Sort by Shift time limit per tes ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGPPdb0.html" rel="bookmark" class="title">Java课堂加密</a>
					<div>
						1.字符串加密 设计思想: 每个字符都能够转化为整数型,也能将整数型转化为字符类型,这样我们在加密时候由于向后推3个,所以可以将字符转换为整形,然后加3,之后在将运算完的变量转化为字符后输出,就可以实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyKk1A3.html" rel="bookmark" class="title">相对布局日志</a>
					<div>
						在相对布局过程中,会遇到各种布局的问题,整理如下: 1. 整体居中 - * 该效果中,由于所有的子视图都没有居中,因此不能通过中心往两侧布局的方式整体居中. 思路是将各imageView从左往右按1- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGP6YG0.html" rel="bookmark" class="title">代码的坏味道</a>
					<div>
						代码的坏味道Duplicated Code 重复代码Long Method 过长函数Large Class 过大的类Long Parameter List 过长参数列:类或者结构Divergent C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NaV1w3.html" rel="bookmark" class="title">C语言基础 第一课 ---------基本数据类型&comma;常量&comma;变量</a>
					<div>
						int main() { //单行注释:注释一行 /* 多行注释:在这个区间内,都属于多行注释,可以换行. */ #pragma mark---基本数据类型---- /* char   字符类型    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QqqJk4.html" rel="bookmark" class="title">corosync（pacemaker）&plus;drbd&plus;mysql</a>
					<div>
						实验环境:     vm1-ning:172.16.3.1/16     vm2-hong:172.16.3.2/16 drbd操作步骤:     1.创建mysql的drbd资源磁盘(两节点都需要创 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nk2zo3.html" rel="bookmark" class="title">&plus;&plus;&plus;&plus;&plus;&plus;&plus;脚本练习之for循环和if语句使用</a>
					<div>
						1.vim快捷方式 2.脚本实现创建脚本,自动生成事先定义的文件 3./etc/rc.d/rc3.d目录下分别有多个以K开头和S开头的文件;分别读取每个文件, 以K开头的文件输出为以文件名加stop, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz1KnJ4.html" rel="bookmark" class="title">面向对象 day02</a>
					<div>
						1. 空对象``` var o = null; // 空对象, 存特点是只有变量 o 没有对象数据``` # 值类型与引用类型的存储特征1. 内存逻辑结构( 画图 )2. 赋值``` var num  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3v5OAo0.html" rel="bookmark" class="title">如何保证windows服务器的安全</a>
					<div>
						随着时代在发展,身处于信息时代的我们对windows服务器的安全问题越来越引起重视,不管是个人还是企业,对服务器安全尤为关注.而windows服务器安全如何保障相信对大部分人还是陌生的,下面将科普下怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38bee1M.html" rel="bookmark" class="title">&lbrack;C&sol;C&plus;&plus;基础&rsqb; C语言常用函数memset的使用方法</a>
					<div>
						函数声明:void *memset(void *s, int ch, size_t n); 用途:为一段内存的每一个字节都赋予ch所代表的值,该值采用ASCII编码. 所属函数库:&lt;memory ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzEYy24.html" rel="bookmark" class="title">ScrollView嵌套ExpandableListView显示不正常的问题</a>
					<div>
						关于ScrollView嵌套ExpandableListView导致ExpandableListView显示不正常的问题解决方法有很多,在这里介绍一种小编亲自测试通过的方法. 重写Expandable ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVqGyQ4.html" rel="bookmark" class="title">不相交集python实现</a>
					<div>
						1.不相交集是解决等价关系的一种数据结构,执行合并和查找的速度都非常快,M次运行合并和查找的运行时间为(M*logN). 在一个集合中,对于每一对元素(a,b),a,b∈S,对于关系R如果满足下面三个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k9Qmd4.html" rel="bookmark" class="title">信息系统监理师（一）--2017年教材划重点</a>
					<div>
						入坑信息系统监理师,希望在不断的学习过程中坚持做笔记总结,同时分享给大家,本篇是2017年教材划重点:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47eKk10.html" rel="bookmark" class="title">小总结（1）</a>
					<div>
						函数的定义首先是命名函数function funcName函数还有匿名函数 var funcName = function()普通函数和匿名函数在调用上基本没有什么区别,只是在定义时的互相覆盖上会有一 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
